> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# USD Transfer Status

> Get the final status of a USD transfer by ID



## OpenAPI

````yaml GET /payments/usd/direct/{transaction_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/usd/direct/{transaction_id}:
    get:
      tags:
        - Payments
      summary: GET USD Transfer Status
      description: Get the final status of a USD transfer by ID
      operationId: getUSDTransferStatus
      parameters:
        - name: transaction_id
          in: path
          description: Transaction Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/USTransferResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    USTransferResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/USTransferData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    USTransferData:
      type: object
      properties:
        account_number:
          type: string
        account_type:
          type: string
          enum:
            - CHECKING
            - SAVINGS
            - BUSINESS
          description: Type of the bank account.
        amount:
          type: number
        description:
          type: string
        reference:
          type: string
        recipient_email:
          type: string
        recipient_name:
          type: string
        routing_number:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction
        transfer_type:
          type: string
          enum:
            - ACH
            - WIRE
          description: Type of transfer to be made.

````